WinUser.WINDOWPLACEMENT (JNA API)

com.sun.jna.platform.win32

## Class WinUser.WINDOWPLACEMENT

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.WinUser.WINDOWPLACEMENT

- Enclosing interface:
    WinUser

      public static class WinUser.WINDOWPLACEMENT
      extends Structure

  Contains information about the placement of a window on the screen.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByReference, Structure.ByValue, Structure.StructField`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `flags` The flags that control the position of the minimized window and the method by which the window is restored.
    `int` | `length` The length of the structure, in bytes.
    `WinDef.POINT` | `ptMaxPosition` Coordinates of the window's upper-right corner when maximized.
    `WinDef.POINT` | `ptMinPosition` Virtual position of the window's upper-left corner when minimized.
    `WinDef.RECT` | `rcNormalPosition` The window's coordinates when the window is in the restored position.
    `int` | `showCmd` The current show state of the window.
    `static int` | `WPF_ASYNCWINDOWPLACEMENT` If the calling thread and the thread that owns the window are attached to different input queues, the system posts the request to the thread that owns the window.
    `static int` | `WPF_RESTORETOMAXIMIZED` The restored window will be maximized, regardless of whether it was maximized before it was minimized.
    `static int` | `WPF_SETMINPOSITION` The coordinates of the minimized window may be specified.

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WINDOWPLACEMENT()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.util.List<java.lang.String>` | `getFieldOrder()` Return this Structure's field names in their proper order.

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### WPF_SETMINPOSITION

          public static final int WPF_SETMINPOSITION

      The coordinates of the minimized window may be specified.
      See Also:
        Constant Field Values

    - #### WPF_RESTORETOMAXIMIZED

          public static final int WPF_RESTORETOMAXIMIZED

      The restored window will be maximized, regardless of whether it was maximized before it was minimized. This setting is only valid the next time the window is restored. It does not change the default restoration behavior. This flag is only valid when the SW_SHOWMINIMIZED value is specified for the showCmd member.
      See Also:
        Constant Field Values

    - #### WPF_ASYNCWINDOWPLACEMENT

          public static final int WPF_ASYNCWINDOWPLACEMENT

      If the calling thread and the thread that owns the window are attached to different input queues, the system posts the request to the thread that owns the window. This prevents the calling thread from blocking its execution while other threads process the request.
      See Also:
        Constant Field Values

    - #### length

          public int length

      The length of the structure, in bytes.

    - #### flags

          public int flags

      The flags that control the position of the minimized window and the method by which the window is restored. This member can be one or more of WPF_SETMINPOSITION, WPF_RESTORETOMAXIMIZED, or WPF_ASYNCWINDOWPLACEMENT.

    - #### showCmd

          public int showCmd

      The current show state of the window. This member can be one of SW_HIDE, SW_MAXIMIZE, SW_MINIMIZE, SW_RESTORE, SW_SHOW, SW_SHOWMAXIMIZED, SW_SHOWMINIMIZED, SW_SHOWMINNOACTIVE, SW_SHOWNA, SW_SHOWNOACTIVATE, SW_SHOWNORMAL. Note that here SW_MAXIMIZE and SW_SHOWMAXIMIZED are the same value.

    - #### ptMinPosition

          public WinDef.POINT ptMinPosition

      Virtual position of the window's upper-left corner when minimized. Usually largely negative. May be in workspace coordinates.

    - #### ptMaxPosition

          public WinDef.POINT ptMaxPosition

      Coordinates of the window's upper-right corner when maximized. Usually small and negative. May be in workspace coordinates.

    - #### rcNormalPosition

          public WinDef.RECT rcNormalPosition

      The window's coordinates when the window is in the restored position. May be in workspace coordinates.

  - ### Constructor Detail

    - #### WINDOWPLACEMENT

          public WINDOWPLACEMENT()

  - ### Method Detail

    - #### getFieldOrder

          protected java.util.List<java.lang.String> getFieldOrder()

      Description copied from class: `Structure`
      Return this Structure's field names in their proper order. For example,

           protected List getFieldOrder() {
               return Arrays.asList(new String[] { ... });
           }

      IMPORTANT When deriving from an existing Structure subclass, ensure that you augment the list provided by the superclass, e.g.

           protected List getFieldOrder() {
               List fields = new ArrayList(super.getFieldOrder());
               fields.addAll(Arrays.asList(new String[] { ... }));
               return fields;
           }

      Field order must be explicitly indicated, since the field order as returned by `Class.getFields()` is not guaranteed to be predictable.
      Specified by:
        `getFieldOrder` in class `Structure`
      Returns:
        ordered list of field names

Copyright © 2007-2016 Timothy Wall. All Rights Reserved.